summaryrefslogtreecommitdiff
path: root/script/run-unittest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'script/run-unittest.sh')
-rwxr-xr-xscript/run-unittest.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/script/run-unittest.sh b/script/run-unittest.sh
new file mode 100755
index 0000000..6ce6949
--- /dev/null
+++ b/script/run-unittest.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Copyright 2018 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z "$ANDROID_BUILD_TOP" ]; then
+ echo "Missing ANDROID_BUILD_TOP env variable. Run 'lunch' first."
+ exit 1
+fi
+
+# Runs all unit tests under test/vti/test_serving/gae using an e2e_test framework.
+pushd $ANDROID_BUILD_TOP/test/vti/test_serving/gae
+python testing/e2e_test.py
+popd
+